<?php

$eco_store_custom_css = "";

$eco_store_primary_color = get_theme_mod('eco_store_primary_color');
$eco_store_second_color = get_theme_mod('eco_store_second_color');
$eco_store_tertiary_color = get_theme_mod('eco_store_tertiary_color');

/*------------------ Primary Global Color -----------*/

if ($eco_store_primary_color) {
  $eco_store_custom_css .= ':root {';
  $eco_store_custom_css .= '--primary-color: ' . esc_attr($eco_store_primary_color) . ' !important;';
  $eco_store_custom_css .= '} ';
}

/*------------------ Secondary Global Color -----------*/

if ($eco_store_second_color) {
  $eco_store_custom_css .= ':root {';
  $eco_store_custom_css .= '--secondary-color: ' . esc_attr($eco_store_second_color) . ' !important;';
  $eco_store_custom_css .= '} ';
}

/*------------------ Tertiary Global Color -----------*/

if ($eco_store_tertiary_color) {
  $eco_store_custom_css .= ':root {';
  $eco_store_custom_css .= '--tertiary-color: ' . esc_attr($eco_store_tertiary_color) . ' !important;';
  $eco_store_custom_css .= '} ';
}

// Footer Background Image Attatchment 

$eco_store_footer_attatchment = get_theme_mod( 'eco_store_background_attatchment','scroll');
if($eco_store_footer_attatchment == 'fixed'){
  $eco_store_custom_css .='.site-footer{';
    $eco_store_custom_css .='background-attachment: fixed;';
  $eco_store_custom_css .='}';
}elseif ($eco_store_footer_attatchment == 'scroll'){
  $eco_store_custom_css .='.site-footer{';
    $eco_store_custom_css .='background-attachment: scroll;';
  $eco_store_custom_css .='}';
}

// Scroll to top button shape 

$eco_store_scroll_border_radius = get_theme_mod( 'eco_store_scroll_to_top_radius','curved-box');
  if($eco_store_scroll_border_radius == 'box'){
  $eco_store_custom_css .='#button{';
    $eco_store_custom_css .='border-radius: 0px;';
  $eco_store_custom_css .='}';
}else if($eco_store_scroll_border_radius == 'curved-box'){
  $eco_store_custom_css .='#button{';
    $eco_store_custom_css .='border-radius: 4px;';
  $eco_store_custom_css .='}';
}
else if($eco_store_scroll_border_radius == 'circle'){
  $eco_store_custom_css .='#button{';
    $eco_store_custom_css .='border-radius: 50%;';
  $eco_store_custom_css .='}';
}

// Menu Hover Style	

$eco_store_menus_item = get_theme_mod( 'eco_store_menus_style','None');
  if($eco_store_menus_item == 'None'){
  $eco_store_custom_css .='#site-navigation .menu ul li a:hover, .main-navigation .menu li a:hover{';
    $eco_store_custom_css .='';
  $eco_store_custom_css .='}';
}else if ( $eco_store_menus_item == 'Zoom In' ) {
  $eco_store_custom_css .= '#site-navigation .menu ul li a:hover, .main-navigation .menu li a:hover {';
  $eco_store_custom_css .= 'transition: all 0.3s ease-in-out !important; transform: scale(1.2) !important;';
  $eco_store_custom_css .= '}';
  
  $eco_store_custom_css .= '.main-navigation ul ul li a:hover {';
  $eco_store_custom_css .= 'margin-left: 20px;';
  $eco_store_custom_css .= '}';
}

// Post Content Alignment

$eco_store_blog_layout_option = get_theme_mod( 'eco_store_blog_layout_option','Left');
if($eco_store_blog_layout_option == 'Left'){
	$eco_store_custom_css .='.post{';
		$eco_store_custom_css .='text-align: left;';
	$eco_store_custom_css .='}';
}elseif ($eco_store_blog_layout_option == 'Right'){
	$eco_store_custom_css .='.post{';
		$eco_store_custom_css .='text-align: right;';
	$eco_store_custom_css .='}';
}elseif ($eco_store_blog_layout_option == 'Center'){
	$eco_store_custom_css .='.post{';
		$eco_store_custom_css .='text-align: center;';
	$eco_store_custom_css .='}';
}